package de.stoermer.xxx.domain;

public enum Rolle implements Anzeige, Beschreibung {

	BESTRAFENDE_PERSON("Bestrafende Person", "Die Person darf andere Personen bestrafen."),
	BESTRAFTE_PERSON("Bestrafte Person", "Die Person empfängt Strafen von anderen."),
	BEGLUECKENDE_PERSON("Beglückende Person", "Die Person darf andere Personen beglücken."),
	BEGLUECKTE_PERSON("Beglückte Person", "Die Person wird von anderen Personen beglückt.");
	
	private String anzeige;
	private String beschreibung;

	private Rolle(String anzeige, String beschreibungs) {
		this.anzeige = anzeige;
		this.beschreibung = beschreibungs;
	}
	
	@Override
	public String anzeigeText() {
		return anzeige;
	}
	
	@Override
	public String beschreibungsText() {
		return beschreibung;
	}
}
